Holger's Java API

## com.antelmann.net.web
Class RSSItem

    java.lang.Object
      com.antelmann.util.XmlHelper
          com.antelmann.net.web.RSSItem

All Implemented Interfaces:
  XMLSerializable, DetailedString, Wrapped<Element>, Serializable

    public class RSSItem

extends XmlHelper

represents an item in an RSS feed

Author:
  Holger Antelmann
See Also:
  `RSSChannel`, `RSSHandler`, Serialized Form

Constructor Summary
`RSSItem(RSSChannel channel, Element element)`

Method Summary
`RSSChannel` `getChannel()`
`String` `getDescription()`
`Properties` `getProperties()`
`String` `getTitle()`
`URL` `getURL()`

Methods inherited from class com.antelmann.util.XmlHelper

`addBinaryElement, addElement, append, append, append, append, containsTag, countTags, createDocument, createElement, createElement, deserializeXML, deserializeXML, exportXML, getAllTagText, getBinaryTagData, getChildElements, getChildElements, getDocumentBuilder, getElement, getFirstChild, getInputSource, getInputStream, getParent, getPersistenceDelegates, getTagText, getTagText, getToStringDelegator, importXML, readIntoXMLSerializable, removeFirstTag, removeTags, serializeXML, serializeXML, serializeXML, serializeXML, serializeXML, setBuilderFactory, setTagText, storeTo, toDetailedString, toXmlString, unwrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RSSItem

    public RSSItem(RSSChannel channel,
                   Element element)

Method Detail

### getChannel

    public RSSChannel getChannel()

### getTitle

    public String getTitle()

### getDescription

    public String getDescription()

### getURL

    public URL getURL()
               throws MalformedURLException

  Throws:
    `MalformedURLException`

### getProperties

    public Properties getProperties()

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads